Commit c2ba46d5 authored by Liguros - Gitlab CI/CD [develop]'s avatar Liguros - Gitlab CI/CD [develop]
Browse files

updates

merged:

  xor: 02723f503f4f77a0f1ab5d7211a841d234e57895
  cinnamon: b27bc38bfabe38ea79fafee91ba4545cd88bcaa0
  mate-desktop: ef8e1ff600fb0a12ee425227a0b1b250ed31bbac
  fusion809: 96560bec2ba061fe20a435cf535b23916d82d4af
  steam: d6b161d6c28b026cc993320d43797097fa668746
  go-overlay: 435b13dcc2cdc2dc5b5fee57005d8deb2caa114c
  stefantalpalaru: ecb7a8ff3e12533c67dee51d21a1ddc6488b9b28
  ports: 0fd49160ad77d0b8b283cc2a502fb362f9846313
  gentoo-libressl: eea877be8b5f120e5ca67b3d0bf34acd908ae960
  gentoo-staging: b30efb5c622dabd141792be96858e8de3b15d6b0
  calculatelinux: 36833efeddcab90e0d896ebd811f0f2dd79bcdf3
  kit-fixups: 47fe44d990342fd949292326070d9c5b1fdb95a1
parent 2679300a
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="net-wireless/kismet"
ACCT_GROUP_ID="388"
......@@ -2,8 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>marecki@gentoo.org</email>
<name>Marek Szuba</name>
<email>zerochaos@gentoo.org</email>
<name>Rick Farina</name>
</maintainer>
<origin>gentoo-staging</origin>
</pkgmetadata>
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="net-wireless/kismet"
ACCT_USER_ID="388"
ACCT_USER_GROUPS=( kismet )
acct-user_add_deps
DEPEND+=" acct-group/kismet "
RDEPEND+=" acct-group/kismet "
......@@ -2,8 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>marecki@gentoo.org</email>
<name>Marek Szuba</name>
<email>zerochaos@gentoo.org</email>
<name>Rick Farina</name>
</maintainer>
<origin>gentoo-staging</origin>
</pkgmetadata>
DIST sphinxtrain-1.0.8.tar.gz 8925803 BLAKE2B e268c00843445cb69ae2a88f93fb4aa640556179417d44f6297d87f7e509418778b4808885bb19ab163efbd71565a3b6d75d269b420e9e366c0c6553a04b3053 SHA512 465d2c4ade9acc7b49c1d975449c38ac01d5a3ff332f9841be66cd8ca9d2f0b68fd36cc8a46384c8b510042efa91c3887a080481e84f2d0deb9775a598835f2b
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit multilib python-single-r1
DESCRIPTION="Speech Recognition (Training Module)"
HOMEPAGE="https://sourceforge.net/projects/cmusphinx/html/cmusphinx.php"
SRC_URI="mirror://sourceforge/cmusphinx/sphinxtrain-${PV}.tar.gz"
LICENSE="BSD-with-attribution"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="app-accessibility/sphinxbase
dev-lang/perl
${PYTHON_DEPS}"
DEPEND="${RDEPEND}
virtual/pkgconfig"
S=${WORKDIR}/sphinxtrain-${PV}
src_install() {
default
dodoc README etc/*cfg
python_fix_shebang "${D}"/usr/bin/sphinxtrain
python_optimize "${D}"/usr/$(get_libdir)/sphinxtrain/python/cmusphinx
}
pkg_postinst() {
elog "Detailed usage and training instructions can be found at"
elog "http://cmusphinx.sourceforge.net/wiki/"
}
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>accessibility@gentoo.org</email>
<name>Gentoo Accessibility Project</name>
</maintainer>
<maintainer type="project">
<email>sound@gentoo.org</email>
<name>Gentoo Sound project</name>
</maintainer>
<longdescription lang="en">
SphinxTrain is CMU Sphinx's training package.
</longdescription>
<longdescription lang="ja">
SphinxTrainはCMU Sphinxの調教パッケージです。
</longdescription>
<upstream>
<remote-id type="sourceforge">cmusphinx</remote-id>
</upstream>
<origin>gentoo-staging</origin>
</pkgmetadata>
DIST sphinx3-0.8.tar.gz 25226326 BLAKE2B 0eb2c6474ec32ef1aed277816b0b596ba561c1705b389b19de7dfd969212bc24e5eec0a920aaeb15ed3a90f464552b4e24e964b94380dc292a9299b4651793bc SHA512 85b8e574e2f92a758c8c56ef11b873c49ef8a376e964f30a12d75850d4a0db56e3108eaea25fa5587675ef2ffa4531a13f0f182a85cc8e434c6bcee42058e050
--- src/libs3decoder/libsearch/fsg_history.c
+++ src/libs3decoder/libsearch/fsg_history.c
@@ -55,7 +55,6 @@
#include <kb.h>
/*#include <phone.h>*/
#include <search.h>
-#include "libutil.h"
#define __FSG_DBG__ 0
--- src/libs3decoder/libcfg/s3_cfg_convert.c
+++ src/libs3decoder/libcfg/s3_cfg_convert.c
@@ -1,5 +1,4 @@
-#include <libutil.h>
#include "s3_cfg.h"
#include "fsg.h"
diff -uNr sphinx3-0.8.orig/python/setup.py sphinx3-0.8/python/setup.py
--- sphinx3-0.8.orig/python/setup.py 2008-12-31 23:20:08.000000000 -0500
+++ sphinx3-0.8/python/setup.py 2011-11-17 09:46:57.000000000 -0500
@@ -8,15 +8,10 @@
define_macros = []
module = Extension('_sphinx3',
- include_dirs = ['../../sphinxbase/include',
- '../include',
- '/usr/local/include/sphinxbase/',
- '/usr/local/include/sphinx3',
- ],
+ include_dirs = ['../include',
+ '@GENTOO_PORTAGE_EPREFIX@/usr/include/sphinxbase'],
define_macros = define_macros,
- library_dirs = ['../../sphinxbase/src/libsphinxbase/.libs',
- '../src/libs3decoder/.libs',
- '../../sphinxbase/lib/debug',
+ library_dirs = ['../src/libs3decoder/.libs',
'../lib/debug',
],
libraries = ['sphinxbase', 's3decoder'],
diff -uNr sphinx3-0.8.orig/src/libs3decoder/libsearch/vithist.c sphinx3-0.8/src/libs3decoder/libsearch/vithist.c
--- sphinx3-0.8.orig/src/libs3decoder/libsearch/vithist.c 2008-12-31 13:27:56.000000000 -0500
+++ sphinx3-0.8/src/libs3decoder/libsearch/vithist.c 2011-11-17 09:46:24.000000000 -0500
@@ -647,7 +647,7 @@
{
int32 se, fe, filler_done, th;
vithist_entry_t *ve;
- heap_t h;
+ heap_t *h;
s3wid_t *wid;
int32 i;
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
# disable automatic phase exports and deps
DISTUTILS_OPTIONAL=1
PYTHON_COMPAT=( python2_7 )
inherit autotools-utils distutils-r1 prefix eutils
DESCRIPTION="CMU Speech Recognition engine"
HOMEPAGE="https://sourceforge.net/projects/cmusphinx/"
SRC_URI="mirror://sourceforge/cmusphinx/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="doc python static-libs"
RDEPEND=">=app-accessibility/sphinxbase-0.7[static-libs?,python?,${PYTHON_USEDEP}]
python? ( ${PYTHON_DEPS} )"
DEPEND="${RDEPEND}"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
# Due to generated Python setup.py.
AUTOTOOLS_IN_SOURCE_BUILD=1
src_prepare() {
epatch "${FILESDIR}/${P}_heap_fix.patch" \
"${FILESDIR}/${P}-libutil.patch"
eprefixify 'python/setup.py'
}
src_compile() {
autotools-utils_src_compile
if use python; then
cd python || die
distutils-r1_src_compile
fi
}
src_install() {
local DOCS=( AUTHORS ChangeLog NEWS README )
autotools-utils_src_install
if use doc; then
cd doc || die
dohtml -r -x CVS s3* s3 *.html
fi
if use python; then
unset DOCS
cd "${S}"/python || die
distutils-r1_src_install
fi
}
DIST sphinxbase-0.8.tar.gz 3313197 BLAKE2B ec2dcd232194d32d851924099ffb64fa9da6bdccb973fe1311d2b4b0506073cfd35b548ba8d8f64c2ee757f3b5ba87ae23c95d0f67c95be1110b7e2a995c9be2 SHA512 fdb13c07e591e868c395d5f8209ec389fb9d5a93d99104a00cb82382e84d320091ae7e74d53225706331d4959ab5e248fa622582a148bfdb6ab5c38470d1963c
diff -Naur sphinxbase-0.8/test/regression/Makefile.am sphinxbase-0.8.new/test/regression/Makefile.am
--- sphinxbase-0.8/test/regression/Makefile.am 2012-12-05 06:05:39.000000000 -0800
+++ sphinxbase-0.8.new/test/regression/Makefile.am 2013-10-08 13:05:15.498853962 -0700
@@ -33,9 +33,19 @@
# Disable sphinx_fe tests for now if fixed-point due to imprecision
if FIXED_POINT
-TESTS = $(srcdir)/test-cepview.sh $(srcdir)/test-sphinx_pitch.sh
+TESTS = test-cepview.sh test-sphinx_pitch.sh
else
-TESTS = $(srcdir)/test-*.sh
+TESTS = \
+ test-cepview.sh \
+ test-sphinx_fe-ctl.sh \
+ test-sphinx_fe-dct.sh \
+ test-sphinx_fe-dither-seed.sh \
+ test-sphinx_fe-logspec2cep.sh \
+ test-sphinx_fe-logspec.sh \
+ test-sphinx_fe.sh \
+ test-sphinx_fe-smoothspec.sh \
+ test-sphinx_jsgf2fsg.sh \
+ test-sphinx_pitch.sh
endif
EXTRA_DIST += $(TESTS)
configure.in | 40 +++++++++++++++++++++-------------------
src/libsphinxbase/Makefile.am | 1 +
2 files changed, 22 insertions(+), 19 deletions(-)
diff --git a/configure.in b/configure.in
index e10629c..b5d6ea9 100644
--- a/configure.in
+++ b/configure.in
@@ -62,13 +62,15 @@ if test x$withval = xno; then
use_lapack=false
fi
])
-if test x$use_lapack = xtrue; then
- AC_CHECK_LIB(lapack, sgesv_,,use_internal_lapack=true)
- if test x$use_internal_lapack != xtrue; then
- AC_CHECK_LIB(blas, sgemm_,,use_internal_lapack=true)
- fi
+AS_IF([test "x$with_lapack" = "xyes"], [
+ PKG_CHECK_MODULES([LAPACK], [lapack],,
+ AC_CHECK_LIB(lapack, sgesv_,,use_internal_lapack=true))
+ AS_IF([test "x$use_internal_lapack" != "xtrue"], [
+ PKG_CHECK_MODULES([BLAS], [blas],,
+ AC_CHECK_LIB(blas, sgemm_,,use_internal_lapack=true))
+ ])
AC_DEFINE(WITH_LAPACK, [], [Enable matrix algebra with LAPACK])
-fi
+])
AM_CONDITIONAL(LAPACK_LITE, test x$use_internal_lapack = xtrue)
AM_CONDITIONAL(USE_LAPACK, test x$use_lapack = xtrue)
@@ -208,9 +210,15 @@ AM_PROG_LIBTOOL
dnl
dnl Check for Doxygen, and build dox if present
dnl
-AC_CHECK_PROG(HAVE_DOXYGEN, doxygen, yes, no)
+AC_ARG_ENABLE([doc],
+ AS_HELP_STRING([--enable-doc], [Build docs using doxygen]))
+AS_IF([test "x$enable_doc" = "xyes"], [
+ AC_CHECK_PROG(HAVE_DOXYGEN, doxygen, yes, no)
+ AS_IF([test "x$HAVE_DOXYGEN" != "xyes"], [
+ AC_MSG_ERROR([--enable-doc given, but doxygen not found.]); exit 1
+ ])
+])
AM_CONDITIONAL(BUILD_DOXYGEN, test "x$HAVE_DOXYGEN" = "xyes")
-
dnl
dnl Check for Python, and build python module if present
dnl
@@ -260,19 +268,13 @@ fi
AM_CONDITIONAL(BUILD_CYTHON, test "x$HAVE_CYTHON" = "xyes")
dnl
-dnl Check for pkgconfig
-dnl
-AC_CHECK_PROG(HAVE_PKGCONFIG, pkg-config, yes, no)
-
-dnl
dnl Check for libsndfile
dnl
-if test "x$HAVE_PKGCONFIG" = "xyes"; then
- PKG_CHECK_MODULES(SNDFILE,sndfile,,true)
- AC_CHECK_HEADERS([sndfile.h])
- PKG_CHECK_MODULES(SAMPLERATE,samplerate,,true)
- AC_CHECK_HEADERS([samplerate.h])
-fi
+PKG_CHECK_MODULES(SNDFILE,sndfile,,true)
+AC_CHECK_HEADERS([sndfile.h])
+PKG_CHECK_MODULES(SAMPLERATE,samplerate,,true)
+AC_CHECK_HEADERS([samplerate.h])
+
AC_SUBST(SNDFILE_LIBS)
AC_SUBST(SNDFILE_CFLAGS)
AC_SUBST(SAMPLERATE_LIBS)
diff --git a/src/libsphinxbase/Makefile.am b/src/libsphinxbase/Makefile.am
index 52ee3e1..f4efd8a 100644
--- a/src/libsphinxbase/Makefile.am
+++ b/src/libsphinxbase/Makefile.am
@@ -8,6 +8,7 @@ libsphinxbase_la_SOURCES =
# This is API version 2, software release 1, which also supports API version 1
libsphinxbase_la_LDFLAGS = -version-info 2:1:1
libsphinxbase_la_LIBADD = $(LTLIBICONV) \
+ @LAPACK_LIBS@ \
util/libsphinxutil.la \
fe/libsphinxfe.la \
feat/libsphinxfeat.la \
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>accessibility@gentoo.org</email>
<name>Gentoo Accessibility Project</name>
</maintainer>
<upstream>
<remote-id type="sourceforge">cmusphinx</remote-id>
</upstream>
<origin>gentoo-staging</origin>
</pkgmetadata>
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 )
DISTUTILS_OPTIONAL=1
AUTOTOOLS_AUTORECONF=1
inherit autotools-utils distutils-r1
DESCRIPTION="Support library required by the Sphinx Speech Recognition Engine"
HOMEPAGE="https://sourceforge.net/projects/cmusphinx/"
SRC_URI="mirror://sourceforge/cmusphinx/${P}.tar.gz"
LICENSE="BSD-2 HPND MIT"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="doc lapack python static-libs"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
# automagic dep on pulseaudio
RDEPEND="
media-sound/pulseaudio
lapack? ( virtual/lapack )
python? ( ${PYTHON_DEPS} )"
DEPEND="${RDEPEND}
doc? ( >=app-doc/doxygen-1.4.7 )"
# Due to generated Python setup.py.
AUTOTOOLS_IN_SOURCE_BUILD=1
PATCHES=(
"${FILESDIR}"/${P}-unbundle-lapack.patch
"${FILESDIR}"/${P}-automake113.patch
)
src_configure() {
local myeconfargs=(
$(use_with lapack)
$(use_enable doc)
# python modules are built through distutils
# so disable the ugly wrapper
--without-python
)
autotools-utils_src_configure
}
run_distutils() {
if use python; then
pushd python > /dev/null || die
distutils-r1_"${@}"
popd > /dev/null || die
fi
}
src_compile() {
autotools-utils_src_compile
run_distutils ${FUNCNAME}
}
python_test() {
LD_LIBRARY_PATH="${S}"/src/lib${PN}/.libs \
"${PYTHON}" sb_test.py || die "Tests fail with ${EPYTHON}"
}
src_test() {
autotools-utils_src_test
run_distutils ${FUNCNAME}
}
src_install() {
run_distutils ${FUNCNAME}
use doc && local HTML_DOCS=( doc/html/. )
autotools-utils_src_install
}
DIST Lmod-8.4.1.tar.gz 19901625 BLAKE2B 0958ddfcf8d1dcceeb11b66236fa7755aa0e6871005d3fa49264d53450422b8a2949cc4a2fb30571504d197d62e5e465aaf97d27ef57ea55b657212b075d0562 SHA512 fea5a557bbab4a19a0989acbfdd6b2ca444bb7e5ccad19849e61055ae45297bc242050efcfbc2901b2a10eb0f1c705ccf305f28db958a98c6712c974af8de443
DIST Lmod-8.4.2.tar.gz 19905835 BLAKE2B cccb2688ae924e0a90f88ff4aa85091350a5549881450ace29c7f84658ccaf006001324589b0f370b78da05d4d5642e76d610f0d97394a9a35a64d9165d2547f SHA512 394680b11d7de0ddd3b794308fc702718233f799461a0f96f8515101d91d8ad2ddebfc449618bb6f1037ae3d3c9de4cffa679d7405ddb9be006b3d1f77975b21
DIST Lmod-8.4.3.tar.gz 19924936 BLAKE2B 0cb6986081e8cf273e23ff657a91f48a8722a33ae7f02df2269f3b697b2fc8001b9520f7df5b52791e6e3365e742ae66b3924abeba1f8fc0fff3b80a9c0d6c05 SHA512 cb6e91d4193155e43ab8145ee5dee166ddbdd66abff94b3c393c5e927c763b8ed401bbff9563c784be6e829108019dcfc6d0e5cf0cae6454c9b58f16e753eb57
......@@ -9,7 +9,7 @@ SRC_URI="https://github.com/tessus/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~mips ~ppc sparc x86"
KEYWORDS="~amd64 hppa ~mips ~ppc sparc x86"
IUSE="fam pcre"
RDEPEND="
......
DIST exo-1.15.0.tar.gz 4267440 BLAKE2B 5b5f38df929c538528084ecae8ae73f2c2486b2a3ad45c7c4ba55021680912490c90d820c72ac1e858caf023382b2de3a573a6e7f096b3b84abf3da237a3bca0 SHA512 d42887a24de2385acc7e66daab0c51b413304fd96589755874716702747aaea74ea0f080e334f2a4ebcf8b6c6699257f6e36e5ddf9acf9c7aca2693555edbfb2
DIST exo-1.16.0.tar.gz 4245980 BLAKE2B 3215d001b6c0864e2798e34976e6c7c67c9e4457729a149280721d7cc00c648c273fc2bfd03d6678aad1ac7217d0d3a22dd6c53fcf7822c19410bb556a5d41f9 SHA512 ce75261e09f906030a2fbe7aae2f9aaa2bf631db0f6c8876f9e7baba6622026d2d127a6935fa5dfb9c1bffb4953eb0a7149c345a4eb9b9423e52047588442e74
DIST exo-1.16.1.tar.gz 4247537 BLAKE2B e7990c51abec26ee486fa3ed08af168f2dc2ae5747cc8770d9bca2baeb151caa8075c903c742c3a19431587e483e1ec324ae46b95bdf71901f5e5cb4baac2f57 SHA512 63caf78a3c79d47dac956b3b35d0e84e86782f6d2c3bb57c2435dc457c91dab26cb5754fdd41bff80c5a336c81031d138a88519a38fb639b511b6692066d8d90
DIST hcloud-1.17.0.tar.xz 687880 BLAKE2B c83530946dd04afc59d45a2bbb12b6a4034dfe5b8c3826e4e78f29e88891672c21e896fd9d24394ce943f9b6574928ae144a564abde3fec8a243cc5fc87e8bdb SHA512 5025357392e9b7661876f059a416e6d6f9eea89e16a9abaacaeb72506aaa5d4d6a193e266d23f01cd0f5d32048f66a3f6e22a1c9c042c2e3183a1e164da2ccc6
DIST hcloud-1.18.0.tar.xz 691988 BLAKE2B 1d0d6cac56cefa9023796f259fce238952766e038568d843259845d8ebeb040b75dab9dc18908003fba1a10fc76fd45936e46db50536e26dd90a47354feba34a SHA512 39b09b5b79f1e8715fbc17c8576e51955b7729032385fd1aed3f171c56d041d0576dc99662fc9e222f5fe1837a4fddbd57cd406d98fd38a5b9eb116d2a83af3a
DIST hcloud-1.19.1.tar.xz 781068 BLAKE2B 74362fae9255121771a9e03f187ea6f101e71ed4ab226c218d33a335b740dc72d0df78e76d4c28e1b4760e1c76fe4dcba40f6a41db99cd0955ecb221d5314767 SHA512 24434de9396b30843698feff549163a23443f8536f3e2298edf23620f107dcf5287701c10aba10c4f6ecd61fa4b6a1a80661d9a330c3a4a11d1c986f750550ec
......@@ -3,11 +3,11 @@
EAPI=7
DESCRIPTION="Command-line tool for everything at Exoscale: compute, storage, dns."
HOMEPAGE="https://github.com/exoscale/cli"
SRC_URI="https://github.com/exoscale/cli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
DESCRIPTION="A command-line interface for Hetzner Cloud"
HOMEPAGE="https://github.com/hetznercloud/cli"
SRC_URI="https://dev.gentoo.org/~ago/distfiles/${P}.tar.xz"
LICENSE="Apache-2.0"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
......@@ -16,15 +16,13 @@ DEPEND="dev-lang/go:="
RESTRICT="strip"
QA_FLAGS_IGNORED=".*"
S="${WORKDIR}/cli-${PV}"
src_compile() {
go build -mod vendor -o ${PN} || die "build failed"
go build -mod vendor -o ${PN} -ldflags "-w -X github.com/hetznercloud/cli/cli.Version=${PV}-gentoo" ./cmd/${PN} || die "build failed"
}
src_test() {
# run at least 'exo version' for test
./exo version > /dev/null 2>&1
# For upstream a simple test is run 'hcloud version'
./hcloud version
if [[ $? -ne 0 ]]
then
die "Test failed"
......
DIST ipkg-utils-050831.tar.gz 29175 BLAKE2B 4f1d4b5efb7f808e6987a7b62f830463e28fca998c49b4d6683a58c2d2225e24820e6f2b47642e5cceafa34e0ab3ff8172267ef734bbbf1c8f94b8777172efc8 SHA512 7375c4815225eb755699954d3005dfa88bc0f0e6c2678b7bad565f63204a32735d483dbef23e7b9b75c5f0428ff04c13744b8a10e68bb69fedb96a59c069e1aa
diff --git i/ipkg.py w/ipkg.py
index 02aab22..145686c 100644
--- i/ipkg.py
+++ w/ipkg.py
@@ -36,10 +36,10 @@ import tempfile
import os
import sys
import glob
-import md5
import re
import string
import commands
+from hashlib import md5
from stat import ST_SIZE
class Version:
@@ -136,7 +136,7 @@ class Package:
# compute the MD5.
f = open(fn, "r")
- sum = md5.new()
+ sum = md5()
while 1:
data = f.read(1024)
if not data: break
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 )
inherit distutils-r1 eutils toolchain-funcs versionator
MY_P="${PN}-$(get_version_component_range 3)"
DESCRIPTION="Tools for working with the ipkg binary package format"
HOMEPAGE="https://www.openembedded.org/"
SRC_URI="http://handhelds.org/download/packages/ipkg-utils/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~x86"
IUSE="minimal"
DEPEND="
!minimal? (
app-crypt/gnupg
net-misc/curl
)"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"
PATCHES=("${FILESDIR}/${P}-hashlib-r2.patch")
src_prepare() {
default
sed '/python setup.py build/d' -i Makefile